# Generated from olfactory-0.2.1.gem by gem2rpm -*- rpm-spec -*-
%global gem_name olfactory

Name: rubygem-%{gem_name}
Version: 0.2.1
Release: 1%{?dist}
Summary: Olfactory is an extension for factory gems, which adds templates
License: MIT
URL: https://github.com/delner/olfactory
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby >= 1.9.2
# BuildRequires: rubygem(rspec) >= 3.2
# BuildRequires: rubygem(rspec) < 4
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(pry-nav) >= 0.2
# BuildRequires: rubygem(pry-nav) < 1
# BuildRequires: rubygem(pry-stack_explorer) >= 0.4.9
# BuildRequires: rubygem(pry-stack_explorer) < 0.5
# BuildRequires: rubygem(yard) >= 0.8.7.6
# BuildRequires: rubygem(yard) < 0.8.8
BuildArch: noarch

%description
Olfactory is an extension for factory gems, which adds templates that allow
for easy creation of groups of objects.


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/



%check
pushd .%{gem_instdir}
# rspec spec
popd

%files
%dir %{gem_instdir}
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%exclude %{gem_instdir}/.rspec
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/olfactory.gemspec
%{gem_instdir}/spec

%changelog
* Tue Apr 19 2022 mockbuilder - 0.2.1-1
- Initial package
